﻿namespace NetinaShop.AdminPanel.PWA.Services.RestServices;

public interface IRestWrapper
{
    public ICrudApiRest<T, TKey> CrudApiRest<T, TKey>(string address) where T : class;
    public ICrudDtoApiRest<T, TDto, TKey> CrudDtoApiRest<T, TDto, TKey>(string address) where T : class where TDto : class;


    public IAuthRestApi AuthRestApi { get; }
    public IUserRestApi UserRestApi { get; }
    public IProductCategoryRestApi ProductCategoryRestApi { get; }
    public IProductRestApi ProductRestApi { get; }
    public IBrandRestApi BrandRestApi { get; }
    public IFileRestApi FileRestApi { get; }
}